System.Design 1.0.5000.0 2.0.0.0 System.Object

The T:System.Web.UI.Design.ControlParser class provides methods that can create a T:System.Web.UI.Control control or T:System.Web.UI.ITemplate interface by parsing a string of markup representing a control or control template.

Provides methods for creating a Web server control or interface from a string of markup that represents a persisted control or template.

- Method
  System.Web.UI.Control `` ``

  The method accesses the string representing the register directives on the ASP.NET Web page using the services of the designer host. Designer host services are acquired through the property of the object, or if that is not available, the service.

  The method throws an exception if the parser cannot build the control.

  Creates a control from the specified markup using the specified designer host.

  The that controlText represents; otherwise, null, if the parser cannot build the control.

  An instance that is the designer host for the page. The HTML markup for the control. 1.0.5000.0 2.0.0.0
- Method
  System.Web.UI.Control `` `` ``

  The method accesses the string representing the register directives on the ASP.NET Web page using the services of the designer host. Designer host services are acquired through the property of the object, or if that is not available, the service.

  The method throws an exception if the parser cannot build the control.

  Creates a control from the specified markup using the specified designer host and directives.

  The that represents.

  An instance that is the designer host for the page. The text of the HTML markup for the control. The page directives to include in the code for the control. 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Web.UI.Control[] `` ``

  The method accesses the string representing the register directives on the ASP.NET Web page using the services of the designer host. Designer host services are acquired through the property of the object, or if that is not available, the service.

  The method throws an exception if the parser cannot build the controls from the parameter.

  Creates an array of controls from the specified markup using the specified designer host.

  An array of elements, parsed from ; otherwise, null, if the parser cannot build the controls.

  An instance that is the designer host for the page. A string that represents a collection of markup for controls.
- Method
  System.Web.UI.ITemplate `` ``

  The method accesses the string representing the register directives on the ASP.NET Web page using the services of the designer host. Designer host services are acquired through the property of the object, or if that is not available, the service.

  Creates an interface from the specified template markup.

  An instance created by parsing .

  An instance that is the designer host for the page. A string containing the template markup. 1.0.5000.0 2.0.0.0
- Method
  System.Web.UI.ITemplate `` `` ``

  The method accesses the string representing the register directives on the ASP.NET Web page using the services of the designer host. Designer host services are acquired through the property of the object, or if that is not available, the service.

  Parses the specified template markup and creates an interface.

  An instance created by parsing .

  An instance that is the designer host for the page. A string containing the template markup. Any directives to add to the beginning of the code for the template. 1.0.5000.0 2.0.0.0